Update a Business
curl --request PATCH \
--url https://api.treasuryprime.com/business/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "New York",
"postal_code": "10005",
"state": "NY",
"street_line_1": "11 Wall St",
"street_line_2": "Suite 42"
}
}
'import requests
url = "https://api.treasuryprime.com/business/{id}"
payload = { "address": {
"city": "New York",
"postal_code": "10005",
"state": "NY",
"street_line_1": "11 Wall St",
"street_line_2": "Suite 42"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'New York',
postal_code: '10005',
state: 'NY',
street_line_1: '11 Wall St',
street_line_2: 'Suite 42'
}
})
};
fetch('https://api.treasuryprime.com/business/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_ids": [
"acct_1029384756"
],
"address": {
"city": "New York",
"postal_code": "10005",
"state": "NY",
"street_line_1": "11 Wall St",
"street_line_2": "Suite 42"
},
"emails": [
"george@acme.com"
],
"id": "owner_0123456789",
"name": "Acme Goods Inc",
"phone_number": "4154845555",
"tin_last4": "4912"
}Business
Update a Business
PATCH
/
business
/
{id}
Update a Business
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
application/json
The business to update
Response
200 - application/json
The business updated
Array of IDs of Account objects representing all accounts attached to this business
Address on file associated with the business
Show child attributes
Show child attributes
Array of beneficial ownership data associated with the business
Show child attributes
Show child attributes
Optional bank data associated with the business
The name the business is Doing Business As
Email addresses of the business
Unique identifier for object
Name of the business
Phone number of the business
The last four digits of the TIN / EIN
Was this page helpful?
⌘I